Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$2.6 / 1k companies Get LinkedIn company details — name, size, website, industry, specialties — from LinkedIn URLs

Endpoint

POST /api/v1/agents/linkedin/company-details/run

Parameters

companies
array
required
List · LinkedIn company URLs to fetch details for. One per line.
searches
array
List · Look up companies by name keyword (e.g. “stripe”, “openai”) instead of URL. One per line.
maxResults
integer
default:50
Number · Maximum number of companies to return per searches keyword. Ignored when only companies URLs are passed.

Response columns

FieldDisplay nameType
linkedinUrlLinkedIn URLurl
companyNameCompany Nametext
taglineTaglinetext
descriptionDescriptiontext
websiteWebsiteurl
logoLogourl
industryIndustrytext
employeesEmployeesnumber
followersFollowersnumber
foundedFoundednumber
specialtiesSpecialtiestext
hqLocationHQ Locationtext
hqCityHQ Citytext
hqCountryHQ Countrytext
ctaLinkCTA Linkurl
jobsUrlJobs URLurl
coverImageCover Imageurl
topCountryTop Countrytext
topCountryEmployeesTop Country Employeesnumber
slugSlugtext
activeActiveboolean
verifiedVerifiedboolean
postalCodePostal Codetext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/linkedin/company-details/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "companies": [
      "https://www.linkedin.com/company/google",
      "https://www.linkedin.com/company/microsoft",
      "https://www.linkedin.com/company/apple",
      "https://www.linkedin.com/company/amazon",
      "https://www.linkedin.com/company/meta",
      "https://www.linkedin.com/company/tesla-motors",
      "https://www.linkedin.com/company/openai",
      "https://www.linkedin.com/company/anthropicresearch",
      "https://www.linkedin.com/company/nvidia",
      "https://www.linkedin.com/company/stripe"
    ],
    "scraperMode": "full"
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "linkedinUrl": "https://www.linkedin.com/company/nvidia/",
      "companyName": "NVIDIA",
      "tagline": null,
      "description": "Since its founding in 1993, NVIDIA (NASDAQ: NVDA) has been a pioneer in accelerated computing. The company\u2019s invention of the GPU in 1999 sparked the growth of the PC gaming market, redefined computer graphics, ignited the era of modern AI and is fueling the creation of the metaverse. NVIDIA is now a full-stack computing company with data-center-scale offerings that are reshaping industry.",
      "website": "http://www.nvidia.com",
      "logo": "https://media.licdn.com/dms/image/v2/D560BAQGV36q2EowSyw/company-logo_400_400/company-logo_400_400/0/1724881581208/nvidia_logo?e=1779321600&v=beta&t=wjNzLUOhEXjJlVLKTKxCwXdhDPuDBX4qxOGOhkrRzfk",
      "industry": null,
      "employees": 46755,
      "followers": 5164727,
      "founded": 1993,
      "specialties": [
        "GPU-accelerated computing",
        "artificial intelligence",
        "deep learning",
        "virtual reality",
        "gaming",
        "self-driving cars",
        "supercomputing",
        "robotics",
        "virtualization",
        "parallel computing",
        "professional graphics",
        "automotive technology"
      ],
      "hqLocation": null,
      "hqCity": null,
      "hqCountry": null,
      "ctaLink": "https://www.nvidia.com",
      "jobsUrl": "https://www.linkedin.com/jobs/search?geoId=92000000&f_C=3608",
      "coverImage": "https://media.licdn.com/dms/image/v2/D561BAQFf-h2uJn9luw/company-background_10000/B56ZhC2Y0vHMAU-/0/1753468210846/nvidia_cover?e=1778248800&v=beta&t=fVLUoPuxRX7xRqOADfZQakZ33ldG1dS3f9RKyHDNlZE",
      "topCountry": null,
      "topCountryEmployees": null,
      "slug": "nvidia",
      "active": true,
      "verified": true,
      "postalCode": null
    }
  ]
}